gtkmm: Gtk::RecentAction Class Reference

gtkmm 3.15.9

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::RecentAction Class Reference
RecentFiles

An action of which represents a list of recently used files. More...

`#include <gtkmm/recentaction.h>`

Inheritance diagram for Gtk::RecentAction:
[legend]

## Public Member Functions
virtual | ~RecentAction ()
GtkRecentAction* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkRecentAction* | gobj () const
| Provides access to the underlying C GObject. More...
GtkRecentAction* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
bool | get_show_numbers ()
| Returns the value set by Gtk::RecentChooserMenu::set_show_numbers(). More...
void | set_show_numbers (bool show_numbers=true)
| Sets whether a number should be added to the items shown by the widgets representing action. More...
Glib::PropertyProxy< bool > | property_show_numbers ()
| Whether the items should be displayed with a number. More...
Glib::PropertyProxy_ReadOnly< bool > | property_show_numbers () const
| Whether the items should be displayed with a number. More...
Public Member Functions inherited from Gtk::Action
virtual | ~Action ()
GtkAction* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkAction* | gobj () const
| Provides access to the underlying C GObject. More...
GtkAction* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::ustring | get_name () const
| Returns the name of the action. More...
bool | is_sensitive () const
| Returns whether the action is effectively sensitive. More...
bool | get_sensitive () const
| Returns whether the action itself is sensitive. More...
void | set_sensitive (bool sensitive=true)
| Sets the :sensitive property of the action to sensitive. More...
bool | is_visible () const
| Returns whether the action is effectively visible. More...
bool | get_visible () const
| Returns whether the action itself is visible. More...
void | set_visible (bool visible=true)
| Sets the :visible property of the action to visible. More...
void | activate ()
| Emits the “activate” signal on the specified action, if it isn't insensitive. More...
Image* | create_icon (IconSize icon_size)
| This function is intended for use by action implementations to create icons displayed in the proxy widgets. More...
MenuItem* | create_menu_item ()
| Creates a menu item widget that proxies for the given action. More...
ToolItem* | create_tool_item ()
| Creates a toolbar item widget that proxies for the given action. More...
Menu* | create_menu ()
| If action provides a Gtk::Menu widget as a submenu for the menu item or the toolbar item it creates, this function returns an instance of that menu. More...
std::vector< Widget* > | get_proxies ()
| Returns the proxy widgets for an action. More...
std::vector< const Widget* > | get_proxies () const
| Returns the proxy widgets for an action. More...
void | connect_accelerator ()
| Installs the accelerator for action if action has an accel path and group. More...
void | disconnect_accelerator ()
| Undoes the effect of one call to connect_accelerator(). More...
Glib::ustring | get_accel_path () const
| Returns the accel path for this action. More...
Glib::SignalProxy0< void > | signal_activate ()
void | set_accel_path (const Glib::ustring& accel_path)
| Sets the accel path for this action. More...
void | set_accel_group (const Glib::RefPtr< AccelGroup >& accel_group)
| Sets the Gtk::AccelGroup in which the accelerator for this action will be installed. More...
void | set_label (const Glib::ustring& label)
| Sets the label of action. More...
Glib::ustring | get_label () const
| Gets the label text of action. More...
void | set_short_label (const Glib::ustring& short_label)
| Sets a shorter label text on action. More...
Glib::ustring | get_short_label () const
| Gets the short label text of action. More...
void | set_tooltip (const Glib::ustring& tooltip)
| Sets the tooltip text on action. More...
Glib::ustring | get_tooltip () const
| Gets the tooltip text of action. More...
void | set_stock_id (const StockID& stock_id)
| Sets the stock id on action. More...
StockID | get_stock_id () const
| Gets the stock id of action. More...
void | set_gicon (const Glib::RefPtr< Gio::Icon >& icon)
| Sets the icon of action. More...
Glib::RefPtr< Gio::Icon > | get_gicon ()
| Gets the gicon of action. More...
Glib::RefPtr< const Gio::Icon > | get_gicon () const
| Gets the gicon of action. More...
void | set_icon_name (const Glib::ustring& icon_name)
| Sets the icon name on action. More...
Glib::ustring | get_icon_name () const
| Gets the icon name of action. More...
void | set_visible_horizontal (bool visible_horizontal=true)
| Sets whether action is visible when horizontal. More...
bool | get_visible_horizontal () const
| Checks whether action is visible when horizontal. More...
void | set_visible_vertical (bool visible_vertical=true)
| Sets whether action is visible when vertical. More...
bool | get_visible_vertical () const
| Checks whether action is visible when horizontal. More...
void | set_is_important (bool is_important=true)
| Sets whether the action is important, this attribute is used primarily by toolbar items to decide whether to show a label or not. More...
bool | get_is_important () const
| Checks whether action is important or not. More...
void | set_always_show_image (bool always_show=true)
| Sets whether action's menu item proxies will ignore the Gtk::Settings::property_gtk_menu_images() setting and always show their image, if available. More...
bool | get_always_show_image () const
| Returns whether action's menu item proxies will always show their image, if available. More...
void | block_activate ()
| Disable activation signals from the action. More...
void | unblock_activate ()
| Reenable activation signals from the action. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
| A unique name for the action. More...
Glib::PropertyProxy< Glib::ustring > | property_label ()
| The label used for menu items and buttons that activate this action. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_label () const
| The label used for menu items and buttons that activate this action. More...
Glib::PropertyProxy< Glib::ustring > | property_short_label ()
| A shorter label that may be used on toolbar buttons. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_short_label () const
| A shorter label that may be used on toolbar buttons. More...
Glib::PropertyProxy< Glib::ustring > | property_tooltip ()
| A tooltip for this action. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip () const
| A tooltip for this action. More...
Glib::PropertyProxy< StockID > | property_stock_id ()
| The stock icon displayed in widgets representing this action. More...
Glib::PropertyProxy_ReadOnly< StockID > | property_stock_id () const
| The stock icon displayed in widgets representing this action. More...
Glib::PropertyProxy< Glib::RefPtr< Gio::Icon > > | property_gicon ()
| The GIcon being displayed. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gio::Icon > > | property_gicon () const
| The GIcon being displayed. More...
Glib::PropertyProxy< Glib::ustring > | property_icon_name ()
| The name of the icon from the icon theme. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_icon_name () const
| The name of the icon from the icon theme. More...
Glib::PropertyProxy< bool > | property_visible_horizontal ()
| Whether the toolbar item is visible when the toolbar is in a horizontal orientation. More...
Glib::PropertyProxy_ReadOnly< bool > | property_visible_horizontal () const
| Whether the toolbar item is visible when the toolbar is in a horizontal orientation. More...
Glib::PropertyProxy< bool > | property_visible_vertical ()
| Whether the toolbar item is visible when the toolbar is in a vertical orientation. More...
Glib::PropertyProxy_ReadOnly< bool > | property_visible_vertical () const
| Whether the toolbar item is visible when the toolbar is in a vertical orientation. More...
Glib::PropertyProxy< bool > | property_visible_overflown ()
| When TRUE, toolitem proxies for this action are represented in the toolbar overflow menu. More...
Glib::PropertyProxy_ReadOnly< bool > | property_visible_overflown () const
| When TRUE, toolitem proxies for this action are represented in the toolbar overflow menu. More...
Glib::PropertyProxy< bool > | property_is_important ()
| Whether the action is considered important. More...
Glib::PropertyProxy_ReadOnly< bool > | property_is_important () const
| Whether the action is considered important. More...
Glib::PropertyProxy< bool > | property_hide_if_empty ()
| When TRUE, empty menu proxies for this action are hidden. More...
Glib::PropertyProxy_ReadOnly< bool > | property_hide_if_empty () const
| When TRUE, empty menu proxies for this action are hidden. More...
Glib::PropertyProxy< bool > | property_sensitive ()
| Whether the action is enabled. More...
Glib::PropertyProxy_ReadOnly< bool > | property_sensitive () const
| Whether the action is enabled. More...
Glib::PropertyProxy< bool > | property_visible ()
| Whether the action is visible. More...
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
| Whether the action is visible. More...
Glib::PropertyProxy< Glib::RefPtr< ActionGroup > > | property_action_group ()
| The GtkActionGroup this GtkAction is associated with, or NULL (for internal use). More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< ActionGroup > > | property_action_group () const
| The GtkActionGroup this GtkAction is associated with, or NULL (for internal use). More...
Glib::PropertyProxy< bool > | property_always_show_image ()
| Whether the image will always be shown. More...
Glib::PropertyProxy_ReadOnly< bool > | property_always_show_image () const
| Whether the image will always be shown. More...
Public Member Functions inherited from Glib::Object
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from Gtk::Buildable
virtual | ~Buildable ()
GtkBuildable* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkBuildable* | gobj () const
| Provides access to the underlying C GObject. More...
void | set_name (const Glib::ustring& name)
| Sets the name of the buildable object. More...
Glib::ustring | get_name () const
| Gets the name of the buildable object. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
virtual | ~Interface ()
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Gtk::RecentChooser
virtual | ~RecentChooser ()
GtkRecentChooser* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkRecentChooser* | gobj () const
| Provides access to the underlying C GObject. More...
void | set_show_private (bool show_private=true)
| Whether to show recently used resources marked registered as private. More...
bool | get_show_private () const
| Returns whether chooser should display recently used resources registered as private. More...
void | set_show_not_found (bool show_not_found=true)
| Sets whether chooser should display the recently used resources that it didn’t find. More...
bool | get_show_not_found () const
| Retrieves whether chooser should show the recently used resources that were not found. More...
void | set_select_multiple (bool select_multiple=true)
| Sets whether chooser can select multiple items. More...
bool | get_select_multiple () const
| Gets whether chooser can select multiple items. More...
void | set_limit (int limit)
| Sets the number of items that should be returned by get_items() and get_uris(). More...
void | unset_limit ()
int | get_limit () const
| Gets the number of items returned by get_items() and get_uris(). More...
void | set_local_only (bool local_only=true)
| Sets whether only local resources, that is resources using the file:// URI scheme, should be shown in the recently used resources selector. More...
bool | get_local_only () const
| Gets whether only local resources should be shown in the recently used resources selector. More...
void | set_show_tips (bool show_tips=true)
| Sets whether to show a tooltips containing the full path of each recently used resource in a Gtk::RecentChooser widget. More...
bool | get_show_tips () const
| Gets whether chooser should display tooltips containing the full path of a recently user resource. More...
void | set_show_icons (bool show_icons=true)
| Sets whether chooser should show an icon near the resource when displaying it. More...
bool | get_show_icons () const
| Retrieves whether chooser should show an icon near the resource. More...
void | set_sort_type (RecentSortType sort_type)
| Changes the sorting order of the recently used resources list displayed by chooser. More...
RecentSortType | get_sort_type () const
| Gets the value set by set_sort_type(). More...
void | set_sort_func (const SlotCompare& slot)
| Sets the comparison function used when sorting the list of recently used resources and the sort type is RECENT_SORT_CUSTOM. More...
bool | set_current_uri (const Glib::ustring& uri)
| Sets uri as the current URI for chooser. More...
Glib::ustring | get_current_uri () const
| Gets the URI currently selected by chooser. More...
Glib::RefPtr< RecentInfo > | get_current_item ()
| Gets the Gtk::RecentInfo currently selected by chooser. More...
Glib::RefPtr< const RecentInfo > | get_current_item () const
| Gets the Gtk::RecentInfo currently selected by chooser. More...
bool | select_uri (const Glib::ustring& uri)
| Selects uri inside chooser. More...
void | unselect_uri (const Glib::ustring& uri)
| Unselects uri inside chooser. More...
void | select_all ()
| Selects all the items inside chooser, if the chooser supports multiple selection. More...
void | unselect_all ()
| Unselects all the items inside chooser. More...
std::vector< Glib::RefPtr< RecentInfo > > | get_items () const
| Gets the list of recently used resources in form of Gtk::RecentInfo objects. More...
std::vector< Glib::ustring > | get_uris () const
| Gets the URI of the recently used resources. More...
void | add_filter (const Glib::RefPtr< RecentFilter >& filter)
| Adds filter to the list of Gtk::RecentFilter objects held by chooser. More...
void | remove_filter (const Glib::RefPtr< RecentFilter >& filter)
| Removes filter from the list of Gtk::RecentFilter objects held by chooser. More...
std::vector< Glib::RefPtr< RecentFilter > > | list_filters ()
| Gets the Gtk::RecentFilter objects held by chooser. More...
std::vector< Glib::RefPtr< const RecentFilter > > | list_filters () const
| Gets the Gtk::RecentFilter objects held by chooser. More...
void | set_filter (const Glib::RefPtr< RecentFilter >& filter)
| Sets filter as the current Gtk::RecentFilter object used by chooser to affect the displayed recently used resources. More...
Glib::RefPtr< RecentFilter > | get_filter ()
| Gets the Gtk::RecentFilter object currently used by chooser to affect the display of the recently used resources. More...
Glib::RefPtr< const RecentFilter > | get_filter () const
| Gets the Gtk::RecentFilter object currently used by chooser to affect the display of the recently used resources. More...
Glib::SignalProxy0< void > | signal_selection_changed ()
Glib::SignalProxy0< void > | signal_item_activated ()
Glib::PropertyProxy< bool > | property_show_private ()
| Whether the private items should be displayed. More...
Glib::PropertyProxy_ReadOnly< bool > | property_show_private () const
| Whether the private items should be displayed. More...
Glib::PropertyProxy< bool > | property_show_tips ()
| Whether there should be a tooltip on the item. More...
Glib::PropertyProxy_ReadOnly< bool > | property_show_tips () const
| Whether there should be a tooltip on the item. More...
Glib::PropertyProxy< bool > | property_show_icons ()
| Whether there should be an icon near the item. More...
Glib::PropertyProxy_ReadOnly< bool > | property_show_icons () const
| Whether there should be an icon near the item. More...
Glib::PropertyProxy< bool > | property_show_not_found ()
| Whether the items pointing to unavailable resources should be displayed. More...
Glib::PropertyProxy_ReadOnly< bool > | property_show_not_found () const
| Whether the items pointing to unavailable resources should be displayed. More...
Glib::PropertyProxy< bool > | property_select_multiple ()
| Whether to allow multiple items to be selected. More...
Glib::PropertyProxy_ReadOnly< bool > | property_select_multiple () const
| Whether to allow multiple items to be selected. More...
Glib::PropertyProxy< bool > | property_local_only ()
| Whether the selected resource(s) should be limited to local file: URIs. More...
Glib::PropertyProxy_ReadOnly< bool > | property_local_only () const
| Whether the selected resource(s) should be limited to local file: URIs. More...
Glib::PropertyProxy< int > | property_limit ()
| The maximum number of items to be displayed. More...
Glib::PropertyProxy_ReadOnly< int > | property_limit () const
| The maximum number of items to be displayed. More...
Glib::PropertyProxy< RecentSortType > | property_sort_type ()
| The sorting order of the items displayed. More...
Glib::PropertyProxy_ReadOnly< RecentSortType > | property_sort_type () const
| The sorting order of the items displayed. More...
Glib::PropertyProxy< Glib::RefPtr< RecentFilter > > | property_filter ()
| The current filter for selecting which resources are displayed. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< RecentFilter > > | property_filter () const
| The current filter for selecting which resources are displayed. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< RecentAction > | create ()
static Glib::RefPtr< RecentAction > | create (const Glib::ustring& name, const Glib::ustring& label=Glib::ustring(), const Glib::ustring& tooltip=Glib::ustring())
static Glib::RefPtr< RecentAction > | create (const Glib::ustring& name, const Gtk::StockID& stock_id, const Glib::ustring& label=Glib::ustring(), const Glib::ustring& tooltip=Glib::ustring())
static Glib::RefPtr< RecentAction > | create (const Glib::ustring& name, const Gtk::StockID& stock_id, const Glib::ustring& label, const Glib::ustring& tooltip, const Glib::RefPtr< RecentManager >& recent_manager)
Static Public Member Functions inherited from Gtk::Action
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Action > | create ()
static Glib::RefPtr< Action > | create (const Glib::ustring& name, const Glib::ustring& label=Glib::ustring(), const Glib::ustring& tooltip=Glib::ustring())
| Creates an action. More...
static Glib::RefPtr< Action > | create (const Glib::ustring& name, const Gtk::StockID& stock_id, const Glib::ustring& label=Glib::ustring(), const Glib::ustring& tooltip=Glib::ustring())
| Creates an action with a stock ID. More...
static Glib::RefPtr< Action > | create_with_icon_name (const Glib::ustring& name, const Glib::ustring& icon_name, const Glib::ustring& label, const Glib::ustring& tooltip)
| Create an action with an icon name. More...
Static Public Member Functions inherited from Gtk::Buildable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gtk::RecentChooser
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| RecentAction ()
| RecentAction (const Glib::ustring& name, const StockID& stock_id=StockID(), const Glib::ustring& label=Glib::ustring(), const Glib::ustring& tooltip=Glib::ustring())
| RecentAction (const Glib::ustring& name, const StockID& stock_id, const Glib::ustring& label, const Glib::ustring& tooltip, const Glib::RefPtr< RecentManager >& recent_manager)
Protected Member Functions inherited from Gtk::Action
| Action ()
| Creates an empty action. More...
| Action (const Glib::ustring& name, const StockID& stock_id=StockID(), const Glib::ustring& label=Glib::ustring(), const Glib::ustring& tooltip=Glib::ustring())
| Creates an action with a stock ID. More...
| Action (const Glib::ustring& name, const Glib::ustring& icon_name, const Glib::ustring& label=Glib::ustring(), const Glib::ustring& tooltip=Glib::ustring())
| Creates an action with an icon name. More...
virtual Widget* | create_menu_item_vfunc ()
virtual Widget* | create_tool_item_vfunc ()
virtual void | connect_proxy_vfunc (Widget* proxy)
virtual void | disconnect_proxy_vfunc (Widget* proxy)
virtual void | on_activate ()
| This is a default handler for the signal signal_activate(). More...
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
virtual | ~Object ()
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
virtual | ~ObjectBase ()=0
void | initialize (GObject *castitem)
Protected Member Functions inherited from Gtk::Buildable
| Buildable ()
| You should derive from this class to use it. More...
Protected Member Functions inherited from Gtk::RecentChooser
| RecentChooser ()
| You should derive from this class to use it. More...
virtual Glib::ustring | get_current_uri_vfunc () const
virtual void | unselect_uri_vfunc (const Glib::ustring& uri)
virtual void | select_all_vfunc ()
virtual void | unselect_all_vfunc ()
virtual Glib::RefPtr< RecentManager > | get_recent_manager_vfunc ()
virtual void | add_filter_vfunc (const Glib::RefPtr< RecentFilter >& filter)
virtual void | remove_filter_vfunc (const Glib::RefPtr< RecentFilter >& filter)
virtual void | on_selection_changed ()
| This is a default handler for the signal signal_selection_changed(). More...
virtual void | on_item_activated ()
| This is a default handler for the signal signal_item_activated(). More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::RecentAction > | wrap (GtkRecentAction* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Action
Glib::RefPtr< Gtk::Action > | wrap (GtkAction* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Buildable
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::RecentChooser
Glib::RefPtr< Gtk::RecentChooser > | wrap (GtkRecentChooser* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Gtk::Action
typedef sigc::slot< void > | SlotActivate
| For instance, void on_activate();. More...
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify) (gpointer data)
Public Types inherited from Gtk::RecentChooser
typedef sigc::slot< int, const Glib::RefPtr< RecentInfo >&, const Glib::RefPtr< RecentInfo >& > | SlotCompare
| This callback should return -1 if b compares before a, 0 if they compare equal and 1 if a compares after b. More...

## Detailed Description

An action of which represents a list of recently used files.

A Gtk::RecentAction represents a list of recently used files, which can be shown by widgets such as Gtk::RecentChooserDialog or Gtk::RecentChooserMenu. To construct a submenu showing recently used files, use a Gtk::RecentAction as the action for a <menuitem>. To construct a menu toolbutton showing the recently used files in the popup menu, use a Gtk::RecentAction as the action for a <toolitem> element.

See also the methods in the RecentChooser base class.

Since gtkmm 2.12:

## Constructor & Destructor Documentation

virtual Gtk::RecentAction::~RecentAction | ( |  | ) |
| virtual

Gtk::RecentAction::RecentAction | ( |  | ) |
| protected

Gtk::RecentAction::RecentAction | ( | const Glib::ustring & | name,
|  | const StockID& | stock_id = `StockID()`,
|  | const Glib::ustring & | label = `Glib::ustring()`,
|  | const Glib::ustring & | tooltip = `Glib::ustring()`
| ) |  |
| explicitprotected

Deprecated:
  Stock IDs are deprecated, so use another constructor.

Gtk::RecentAction::RecentAction | ( | const Glib::ustring & | name,
|  | const StockID& | stock_id,
|  | const Glib::ustring & | label,
|  | const Glib::ustring & | tooltip,
|  | const Glib::RefPtr< RecentManager >& | recent_manager
| ) |  |
| explicitprotected

Deprecated:
  Stock IDs are deprecated, so use another constructor.

## Member Function Documentation

static Glib::RefPtr<RecentAction> Gtk::RecentAction::create | ( |  | ) |
| static

static Glib::RefPtr<RecentAction> Gtk::RecentAction::create | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | label = `Glib::ustring()`,
|  | const Glib::ustring & | tooltip = `Glib::ustring()`
| ) |  |
| static

static Glib::RefPtr<RecentAction> Gtk::RecentAction::create | ( | const Glib::ustring & | name,
|  | const Gtk::StockID& | stock_id,
|  | const Glib::ustring & | label = `Glib::ustring()`,
|  | const Glib::ustring & | tooltip = `Glib::ustring()`
| ) |  |
| static

Deprecated:
  Stock IDs are deprecated, so use another create() method.

static Glib::RefPtr<RecentAction> Gtk::RecentAction::create | ( | const Glib::ustring & | name,
|  | const Gtk::StockID& | stock_id,
|  | const Glib::ustring & | label,
|  | const Glib::ustring & | tooltip,
|  | const Glib::RefPtr< RecentManager >& | recent_manager
| ) |  |
| static

Deprecated:
  Stock IDs are deprecated, so use another create() method.

bool Gtk::RecentAction::get_show_numbers | ( |  | ) |

Returns the value set by Gtk::RecentChooserMenu::set_show_numbers().

Since gtkmm 2.12:

Deprecated: 3.10

Returns
  `true` if numbers should be shown.

static GType Gtk::RecentAction::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GtkRecentAction* Gtk::RecentAction::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkRecentAction* Gtk::RecentAction::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GtkRecentAction* Gtk::RecentAction::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy< bool > Gtk::RecentAction::property_show_numbers | ( |  | ) |

Whether the items should be displayed with a number.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::RecentAction::property_show_numbers | ( |  | ) | const

Whether the items should be displayed with a number.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

void Gtk::RecentAction::set_show_numbers | ( | bool | show_numbers = `true` | ) |

Sets whether a number should be added to the items shown by the widgets representing action.

The numbers are shown to provide a unique character for a mnemonic to be used inside the menu item's label. Only the first ten items get a number to avoid clashes.

Since gtkmm 2.12:

Deprecated: 3.10

Parameters

  show_numbers | `true` if the shown items should be numbered.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::RecentAction > wrap | ( | GtkRecentAction * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.